config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/mosquitto/mosquitto.conf.new
( cd usr/lib ; rm -rf libmosquitto.so )
( cd usr/lib ; ln -sf libmosquitto.so.1 libmosquitto.so )
( cd usr/lib ; rm -rf libmosquittopp.so.1 )
( cd usr/lib ; ln -sf libmosquittopp.so.1.4.5 libmosquittopp.so.1 )
( cd usr/lib ; rm -rf libmosquitto.so.1 )
( cd usr/lib ; ln -sf libmosquitto.so.1.4.5 libmosquitto.so.1 )
( cd usr/lib ; rm -rf libmosquittopp.so )
( cd usr/lib ; ln -sf libmosquittopp.so.1 libmosquittopp.so )
